

cd "/Users/ChristinaSchneider/Dropbox/Work/Projects/Working Papers/WideningDeepening/latex/analysis/replication"

log using replication, replace
set more off
use replication.dta



**Table 1: Partisan Heterogeneity and EU Budget Contributions**


*Model 1: Main*
xtpcse ctotcontributions_ln partisan_std size gdppercap_eu100 unemploymentrate  partisan eusupport euintegration id_1-id_26  , correlation(psar1) pairwise
estimates store m1

*Model 2: Per capita*
xtpcse contributions_percap partisan_std size gdppercap_eu100  unemploymentrate  partisan eusupport euintegration id_1-id_26  , correlation(psar1) pairwise
estimates store m2

*Model 3: LDV*
xtpcse ctotcontributions_ln ctotcontributions_ln_lag partisan_std size gdppercap_eu100 unemploymentrate  partisan eusupport euintegration id_1-id_26 , pairwise
estimates store m3

*Model 4: Partisan*
xtpcse ctotcontributions_ln partisan_std_ptf size gdppercap_eu100 unemploymentrate  partisan eusupport euintegration id_1-id_26  , correlation(psar1) pairwise
estimates store m4

*Model 5: GDP*
xtpcse ctotcontributions_ln partisan_std size gdppercap_ln  unemploymentrate  partisan eusupport euintegration id_1-id_26 , correlation(psar1) pairwise
estimates store m5

*Model 6: Period*
xtpcse contributions_period partisan_std_period size_period gdp_period unemploymentrate_period  partisan_period eusupport_period euintegration_period id_1-id_26  if help==1, correlation(psar1) pairwise
estimates store m6

outreg2 [m1 m2 m3 m4 m5 m6] using main.raw, tex(fragment pretty) replace drop(id_*) bdec(3) word e(chi2) alpha(0.05, 0.10)  label


**Table 2**

*Model 1*
xtpcse ctotcontributions_ln gdppercap_std gdppercap_eu100 unemploymentrate  partisan eusupport euintegration id_1-id_26  , correlation(psar1) pairwise
estimates store m1

*Model 2*
xtpcse ctotcontributions_ln eusupport_std size gdppercap_eu100 unemploymentrate  partisan eusupport euintegration id_1-id_26  , correlation(psar1) pairwise
estimates store m3

*Model 3*
xtpcse ctotcontributions_ln euintegration_std size gdppercap_eu100 unemploymentrate  partisan eusupport euintegration id_1-id_26  , correlation(psar1) pairwise
estimates store m4

*Model 4*
xtpcse ctotcontributions_ln partisan_std euintegration_std eusupport_std gdppercap_std  gdppercap_eu100 unemploymentrate  partisan eusupport euintegration id_1-id_26 , correlation(psar1) pairwise
estimates store m5

outreg2 [m1  m3 m4 m5] using heterogeneity.raw, tex(fragment pretty) replace drop(id_*) bdec(3) word e(chi2) alpha(0.05, 0.10)  label


**Graphs**


twoway (line gdppercap_std year, sort), scheme(s1mono) legend(off) xtitle("Year") ytitle("Income Heterogeneity") ylabel(minmax) xlabel(1977(5)2006) xline(1981 1986 1995 2004, lpattern(dot))

twoway (line eusupport_std year, sort), scheme(s1mono) legend(off) xtitle("Year") ytitle("EU Support Heterogeneity") ylabel(minmax) xlabel(1977(5)2006) xline(1981 1986 1995 2004, lpattern(dot))

twoway (line euintegration_std year, sort), scheme(s1mono) legend(off) xtitle("Year") ytitle("Elite EU Support Heterogeneity") ylabel(minmax) xlabel(1977(5)2006) xline(1981 1986 1995 2004, lpattern(dot))

twoway (line partisan_std year, sort), scheme(s1mono) legend(off) xtitle("Year") ytitle("Partisan Heterogeneity") ylabel(minmax) xlabel(1977(5)2006) xline(1981 1986 1995 2004, lpattern(dot))


log close

exit
